ご回答ありがとうございます。


--- 山本 達也 <rcn / gol.com> wrote:
>  私も、いろいろ苦労しています。
> 

私の場合、ごく初歩的なところで躓いているのですが...


--- 堀川 久 <vzw00011 / nifty.ne.jp> wrote:
> もしかして、libsqlite.soが見つからないのではないでしょうか。バージョン
> などは違いますが、こういう状態になっていませんか。

lddしたら、こうなりました。

	libruby.so.1.6 => /usr/lib/libruby.so.1.6 (0x4000f000)
	libsqlite.so.0 => not found
	libc.so.6 => /lib/libc.so.6 (0x400bd000)
	libdl.so.2 => /lib/libdl.so.2 (0x401e9000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x401ec000)
	libm.so.6 => /lib/libm.so.6 (0x4021a000)
	/lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x80000000)
 
> ldconfigコマンドを実行してみたらどうなりますか。
> 

これは

# /sbin/ldconfig /usr/local/lib

のように使うものでしょうか?
これをやったら、

	libsqlite.so.0 => /usr/local/lib/libsqlite.so.0 (0x400bc000)

になりました。
この後、スクリプトも動きました。
(VERSION()って関数は、他のに変えて)


どうも有難うございました。

-- 
Kenji Machida
 Document Engineering Section
 Crestec, Inc.